/* $Id: CrowdTagLib.groovy 41035 2008-05-09 05:59:08Z caulfield14 $ */

import org.codehaus.grails.plugins.crowd.util.CrowdUtils


/**
 * Tag library to provide convenience tags dealing with Crowd SOAPEntities.
 */
class CrowdTagLib {
    static namespace= 'crowd'

    /**
     * Render the attribute value for the supplied SOAPEntity and SOAPAttribute name.
     */
    def attributeValue = { attrs, body ->
        def result= CrowdUtils.getAttributeValues(attrs['entity'], attrs['attribute'])
        switch (result) {
        case String: out << result; break;
        case List: out << result[0]; break;
        default: out << null
        }

    }
}
