/* $Id: CrowdTagLibTests.groovy 41035 2008-05-09 05:59:08Z caulfield14 $ */

import com.atlassian.crowd.integration.soap.*


class CrowdTagLibTests extends GroovyTestCase {
    static transactional= false
    
    void testAttributeValueTag() {
        SOAPPrincipal testPrincipal1= new SOAPPrincipal("testName")
        SOAPAttribute[] testAttributes= new SOAPAttribute[2]
        testAttributes[0]= new SOAPAttribute("attribute2name", "attribute2value")
        testAttributes[1]= new SOAPAttribute("attribute3name", (String[]) ["attribute3value1", "attribute3value2"].toArray())
        testPrincipal1.setAttributes(testAttributes)

        assertEquals("attribute2value", new CrowdTagLib().attributeValue(entity:testPrincipal1, attribute:"attribute2name"){""})
        assertEquals("attribute3value1", new CrowdTagLib().attributeValue(entity:testPrincipal1, attribute:"attribute3name"){""})

// TODO: fix test for invalid attribute name
//        assert new CrowdTagLib().attributeValue(entity:testPrincipal1, attribute:"attribute4name"){""} == null
    }
}
