/* $Id: _Install.groovy 41035 2008-05-09 05:59:08Z caulfield14 $ */

Ant.property(environment:"env")
grailsHome = Ant.antProject.properties."env.GRAILS_HOME"


//// Copy sample config file into app
//Ant.copy(file:"${pluginBasedir}/grails-app/conf/CrowdAuthConfig.groovy",
//         todir:"${basedir}/grails-app/conf")

// Add minimal configuration into app's Config.groovy
Ant.input(message: "Do you want to add the minimum required configuration to Config.groovy?",
                   validargs:"y,n",
                   addproperty:"grails.install.configAnswer")

def configAnswer = Ant.antProject.properties."grails.install.configAnswer"

if (configAnswer == 'y') {
    Ant.concat(destfile:"${basedir}/grails-app/conf/Config.groovy", append:"yes") {
        Ant.fileList(dir:"${pluginBasedir}/grails-app/conf/", files:"CrowdAuthMinimalConfig.groovy")
    }
}

// Add i18n messages into messages.properties
Ant.input(message: "Do you want to add internationalization messages to messages.properties?",
                   validargs:"y,n",
                   addproperty:"grails.install.i18nAnswer")

def i18nAnswer = Ant.antProject.properties."grails.install.i18nAnswer"

if (i18nAnswer == 'y') {
    Ant.concat(destfile:"${basedir}/grails-app/i18n/messages.properties", append:"yes") {
        Ant.fileList(dir:"${pluginBasedir}/grails-app/i18n/", files:"messages.properties")
    }
}
